


declare @id_funcionalidadpadre int
declare @licencia varchar(100)

set @id_funcionalidadpadre  = (select id from gui_funcionalidad where funcionalidad = 'Alquileres' and nombreControl ='doc_documento_alquiler')
set @licencia =(SELECT uid FROM [seg_usuario] where id=1)

if not exists (select *  from gui_funcionalidad where  active=1 and  id_tipoFuncionalidad=2 and nombreControl='Produccion' and id_funcionalidad = @id_funcionalidadpadre )
begin 
	
		insert into [gui_funcionalidad]            
			([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])

		VALUES 
			(@licencia,'01',1,1,getdate(),getdate(),1,'Produccion','','doc_genEnt.jpg','','','/forms/alq/produccion.aspx','',0,'produccion','produccion',1,@id_funcionalidadpadre,2)
	end 